<template lang="pug">
table.w-full
  thead.border-b
    tr
      th.text-sm.font-medium.text-gray-900.px-6.py-4.text-left(scope="col") Request
      th.text-sm.font-medium.text-gray-900.px-6.py-4.text-left(scope="col") Action
  tbody
    tr.border-b(v-for="request in requests")
      td.text-sm.text-gray-900.px-6.py-4.whitespace-nowrap  
        .flex.flex-col.gap-1
          span {{request.request_from}}
          span.text-gray-300 {{new Date(request.created_at).toDateString()}}
      td.text-sm.text-gray-900.px-6.py-4
        .flex.flex-col.gap-1
          button.bg-indigo-700.text-white.px-2.py-1.rounded.uppercase(@click="acceptRequest(request)") accept
          button.text-indigo-700.px-2.py-1.rounded.uppercase(@click="deleteRequest(request.SK.split('#')[1])") cancel
</template>
<script>
export default {
  data: () => ({
    requests: [],
  }),
  async created() {
    const user = this.$auth.getUser()
    this.requests = await this.$api.get(`/connect/request/${user.sub}`)
  },
  methods: {
    async deleteRequest(request) {
      const user = this.$auth.getUser()
      console.log(request)
      // await this.$api.delete(`/connect/request/${user.sub}/${request_id}`)
      this.requests = await this.$api.get(`connect/request/${user.sub}`)
    },
    async acceptRequest(request) {
      const user = this.$auth.getUser()
      console.log(request)
      await this.$api.post(
        `/connect/accept/${user.sub}/${request.SK.split('#')[1]}`,
        {
          request_from: request.request_from,
          request_to: request.request_to,
        }
      )
      this.requests = await this.$api.get(`connect/request/${user.sub}`)
    },
  },
}
</script>
